Bug 68503 - Graphical glitches in Serious Sam 3 when SB is enabled
Graphical glitches in Serious Sam 3 when SB is enabled
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r600
git
x86-64 (AMD64) Linux (All)
: medium normal
Assigned To: Default DRI bug account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-24 12:01 UTC by kwahoo2
Modified: 2013-11-18 18:27 UTC (History)
2 users (show)

See Also:


Attachments
Graphical glitches with r600-sb (576.09 KB, image/jpeg)
2013-08-24 12:01 UTC, kwahoo2
Details
output with R600_DEBUG=sb,ps,vs (2.58 MB, text/plain)
2013-08-24 15:47 UTC, kwahoo2
Details
shader no 76 enabled (1.71 MB, text/plain)
2013-08-24 16:28 UTC, kwahoo2
Details
patch (1.08 KB, patch)
2013-08-24 21:40 UTC, Vadim Girlin
Details | Splinter Review
[PATCH] r600g/sb: work around hw issues with stack on eg/cm (8.45 KB, patch)
2013-09-01 15:22 UTC, Vadim Girlin
Details | Splinter Review
r600g/sb: work around hw issues with stack on eg/cm (8.22 KB, patch)
2013-09-01 15:32 UTC, Vadim Girlin
Details | Splinter Review
New proposed fix (8.53 KB, patch)
2013-10-11 15:06 UTC, Grigori Goronzy
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description kwahoo2 2013-08-24 12:01:22 UTC
Created attachment 84557 [details]
Graphical glitches with r600-sb

Sterted with R600_DEBUG=sb R600_LLVM=0 produces some small green/red/blue rectangles (see the atachment).



OpenGL renderer string: Gallium 0.4 on AMD TURKS
OpenGL version string: 3.0 Mesa 9.3.0-devel (git-86751cb raring-oibaf-ppa)
OpenGL shading language version string: 1.30

I have spare SS3 Steam codes to gift if a developer need one. 

Console output:

Setting breakpad minidump AppID = 41070
Steam_SetMinidumpSteamID:  Caching Steam ID:  76561198064187789 [API loaded no]
Mesa: User error: GL_INVALID_ENUM in glGetIntegerv(pname=0x9047)
Mesa: User error: GL_INVALID_ENUM in glGetIntegerv(pname=0x87fc)
Mesa: User error: GL_INVALID_ENUM in glGetIntegerv(pname=0x9048)
Mesa: User error: GL_INVALID_ENUM in glGetIntegerv(pname=0x87fc)
Installing breakpad exception handler for appid(gameoverlayui)/version(20130823160907_client)
Installing breakpad exception handler for appid(gameoverlayui)/version(1.0_client)
Installing breakpad exception handler for appid(gameoverlayui)/version(1.0_client)
Installing breakpad exception handler for appid(gameoverlayui)/version(1.0_client)
Gtk-Message: Failed to load module "overlay-scrollbar"
[0824/134511:WARNING:proxy_service.cc(958)] PAC support disabled because there is no system implementation
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
Mesa: User error: GL_INVALID_ENUM in glMatrixMode(mode)
WRN:  CPU Power saving is enabled and performance governor is not used.
INF:  GameEnv API: Steam
INF:  Encoded user ID = 2c48e036:11f41b66
INF:  
INF:  * Desktop settings...
INF:  Color depth: 32-bit
INF:  Desktop resolution: 1920 x 1080
INF:  Fullscreen on primary display
WRN:  [OpenGL] "GL_ARB_get_program_binary" extension is present but not used because no binary formats are exposed.
WRN:  [OpenGL] Unable to determine VRAM size... assuming 512 MB.
INF:  
INF:  Gfx API: OpenGL
INF:  Resolution: 1920 x 1080
INF:  Vendor: ATI (0x1002)
INF:  Driver: X.Org (0x6758)
INF:  Renderer: Gallium 0.4 on AMD TURKS
INF:  Version: 3.0 Mesa 9.3.0-devel (git-86751cb raring-oibaf-ppa)
INF:  Video memory size: 512 MB
INF:  Available for textures: 512 MB
INF:  Active GPU(s): 1
WRN:  Display driver is too old, please update it ASAP!
INF:  
INF:  Sfx API: OpenAL
INF:  Device: PulseAudio Default
INF:  Mixer frequency: 44100 Hz
INF:  Mixer voices: 64
INF:  Max sound sources: 25
INF:  Max total volume: 3
INF:  Speaker config: (unknown)
INF:  Environment FX: not supported
INF:  
INF:  Using cheats will invalidate your score for this level and achievements won't be awarded for the remainder of the game.
INF:  AutoDetect: Hardware values unchanged, nothing to do.
INF:  Started simulation on 'Content/SeriousSam3/Levels/Menu/Intro.wld' in 0.61 seconds.
ERR:  Failed to precache texture Content/SeriousSam3/Models/Vehicles/FrontLoader02/Textures/Wheel_01_CM.tex; it doesn't exist in memory
INF:  Started simulation on 'Content/SeriousSam3/Levels/Menu/MenuLevel.wld' in 0.39 seconds.
ERR:  Failed to precache texture Content/SeriousSam3/Models/Vehicles/UH_60_BlackHawk_cutscenes/Textures/OuterParts_CM.tex; it doesn't exist in memory
ERR:  Failed to precache texture Content/SeriousSam3/Models/NPCS/Soldiers/Textures/Clothing/Spa/Uniform_AO.tex; it doesn't exist in memory
ERR:  Workshop error 2: failed to download 'temp:/Workshop/41070/Subscribed/zz0f84f1fa8d9c58cc.gro'
Game removed: AppID 41070 "Serious Sam 3: BFE", ProcID 4123
Comment 1 kwahoo2 2013-08-24 12:04:49 UTC
Pics (if you cannot open the atachment): 
http://postimg.org/image/rpg5b0oz3/
http://postimg.org/image/h5acgr97n/
Comment 2 Vadim Girlin 2013-08-24 14:41:08 UTC
Please attach the output with R600_DEBUG=sb,ps,vs.

Could you also record the GL trace that reproduces the issue using apitrace - http://apitrace.github.io/

You can just upload the trace if it's not too big, then it might help me to reproduce the bug if it's not hw-specific, but also you can use recorded trace to find the exact failing shader as described in "Regression debugging" section here - http://people.freedesktop.org/~vadimg/r600-sb.html - you'll need to replay it with R600_DEBUG=sb,sbstat first to figure out initial range of shader indices used by the app, and then apply R600_SB_DSKIP_* env vars when replaying the trace to bisect the range as described in that section. After locating broken shader just add "ps,vs" to R600_DEBUG and attach the output. You'll have a cmd line like this in the end (with some other shader index instead of 37):
R600_DEBUG=sb,ps,vs R600_SB_DSKIP_MODE=2 R600_SB_DSKIP_START=37 R600_SB_DSKIP_END=37 <cmd to replay the trace> &> log_file

I can try to do everything myself if you can send me the key for SS3 (to vadimgirlin at gmail dot com), this can save some time, but the bug may be specific to your GPU or system configuration and in such case possibly I won't be able to reproduce it on my hardware, then I'll still need your help with debugging as described above.
Comment 3 kwahoo2 2013-08-24 15:47:18 UTC
Created attachment 84563 [details]
output with R600_DEBUG=sb,ps,vs
Comment 4 kwahoo2 2013-08-24 16:28:17 UTC
Created attachment 84566 [details]
shader no 76 enabled

Seems that shader number 76 is the culprit. 
R600_DEBUG=sb R600_SB_DSKIP_START=76 R600_SB_DSKIP_END=76 R600_SB_DSKIP_MODE=2 produces glitches.
Comment 5 Vadim Girlin 2013-08-24 21:40:27 UTC
Created attachment 84573 [details] [review]
patch

Does this patch help?
Comment 6 kwahoo2 2013-08-31 14:41:46 UTC
Sorry for a delay, but I had some problems with multilib compiling. Finally compiled Mesa today and the patch works. No more artifacts!
Comment 7 Vadim Girlin 2013-08-31 17:31:38 UTC
(In reply to comment #6)
> Sorry for a delay, but I had some problems with multilib compiling. Finally
> compiled Mesa today and the patch works. No more artifacts!

Is there any difference in performance with this patch? This bug is actually a hardware issue with some chips and it needs a workaround, but possibly the workaround will make performance a bit lower. That patch applies the workaround always (I just wanted to make sure first that it helps with your problem), but we'll need to restrict it to affected chips and some specific conditions to minimize performance losses. I'll attach an improved patch for testing soon.
Comment 8 kwahoo2 2013-08-31 20:22:45 UTC
Unforunately there is no 100% reliable benchmarking mode in Serious Sam, but I measured first 100 seconds of "Summer in Cairo" map intro:

Without patch:
20:59:33 INF:  - benchmark results -
20:59:33 INF:  
20:59:33 INF:   Duration: 100.0 seconds (2215 frames)
20:59:33 INF:    Average: 22.2 FPS (27.3 w/o peaks)
20:59:33 INF:     Spikes: 169.1 max, 1.2 min
20:59:33 INF:   Sections: AI=1%, physics=1%, sound=1%, scene=89%, shadows=6%, misc=3%
20:59:33 INF:       Lows: 116 in 23.1 seconds (5.0 FPS)
20:59:33 INF:   < 20 FPS: 36%
20:59:33 INF:  20-30 FPS: 10%
20:59:33 INF:  30-60 FPS:  8%
20:59:33 INF:   > 60 FPS: 45%

Patched:
22:05:17 INF:  - benchmark results -
22:05:17 INF:  
22:05:17 INF:   Duration: 100.4 seconds (1941 frames)
22:05:17 INF:    Average: 19.3 FPS (26.4 w/o peaks)
22:05:17 INF:     Spikes: 148.4 max, 0.4 min
22:05:17 INF:   Sections: AI=1%, physics=0%, sound=1%, scene=89%, shadows=6%, misc=2%
22:05:17 INF:       Lows: 46 in 28.5 seconds (1.6 FPS)
22:05:17 INF:   < 20 FPS: 34%
22:05:17 INF:  20-30 FPS:  9%
22:05:17 INF:  30-60 FPS:  5%
22:05:17 INF:   > 60 FPS: 52%

I noticed also small regression in Half-Life 2: Lost Coast benchmark - 83 vs 78 fps at max details.
Comment 9 Vadim Girlin 2013-09-01 15:22:28 UTC
Created attachment 85011 [details] [review]
[PATCH] r600g/sb: work around hw issues with stack on eg/cm

Here is a new patch that hopefully should not affect performance, please test.

I'm not sure about correctness of workaround condition though, the description is not very clear, so if it doesn't work as is then please find the following line in src/gallium/drivers/r600/sb/sb_bc_finalize.cpp (should be line 713):
	unsigned depth = elems; // or maybe ifs?
and replace elems with ifs:
	unsigned depth = ifs;

If this doesn't help either, try 
	unsigned depth = elems + 1;

and "+ 2", "+ 3". And then the same using ifs instead of elems again. One of these variants should work.
Comment 10 Vadim Girlin 2013-09-01 15:32:30 UTC
Created attachment 85013 [details] [review]
r600g/sb: work around hw issues with stack on eg/cm

Sorry, previous patch was written on top of the first patch from this bug and requires that patch to be applied first, this one is independent and can be applied directly on master branch.
Comment 11 kwahoo2 2013-09-01 17:43:02 UTC
I patched after first patch (not master Mesa) and there i no artifacts neither performance improvement. I didn't change anything in code.
Comment 12 Grigori Goronzy 2013-10-11 15:06:03 UTC
Created attachment 87456 [details] [review]
New proposed fix

After I had a similar corrupted rendering with the WebGL water demo [1] on TURKS, together with Vadim I tested the second patch and found that it didn't actually work, and applied on top of the first patch, the workaround still was always triggered.

So here is Vadim's corrected version of the patch, with an improvement to the condition that triggers the workaround. It should hopefully only result in minor performance degradation.

If there is no feedback, I'll just send this to mesa-dev in the coming days.

[1] http://madebyevan.com/webgl-water/
Comment 13 kwahoo2 2013-10-20 13:03:41 UTC
Grigori,
I just tested the improved patch on the vanilla Mesa (10.0.0-devel git-c325aa5)

It works fine, no artifacts in SS3.
Comment 14 Fabio Pedretti 2013-10-29 07:39:54 UTC
Since this is a regression can it be allied before 10.0 branching: http://lists.freedesktop.org/archives/mesa-dev/2013-October/047235.html
Comment 15 Grigori Goronzy 2013-11-16 21:42:15 UTC
Pushed to master, should also appear in Mesa 10.0.
Comment 16 kwahoo2 2013-11-18 18:27:28 UTC
Vadim, Grigori, thank you. Mainline Mesa works fine now.